#include <bits/stdc++.h>
void solve()
{
    std::ifstream ans,out;
    ans.open("answer");
    out.open("user_out");
    while(ans&&out)
    {
        std::string jury_answer,user_answer;
        ans>>jury_answer;
        out>>user_answer;
        for(auto &ch:jury_answer)
        {
            if(ch=='5')
            {
                ch='s';
            }
            if(ch=='0')
            {
                ch='o';
            }
        }
        auto jury_answer_copy=jury_answer,user_answer_copy=user_answer;
        std::transform(jury_answer.begin(),jury_answer.end(),jury_answer.begin(),::tolower);
        std::transform(user_answer.begin(),user_answer.end(),user_answer.begin(),::tolower);
        if(jury_answer!=user_answer)
        {
            std::cerr<<"Wrong Answer! Your answer is \""<<user_answer_copy<<"\",";
            std::cerr<<"Jury's answer is \""<<jury_answer_copy<<"\"";
            std::cout<<0;
            return;
        }
    }
    if(out)
    {
        std::cerr<<"Your ouput is too long!";
        std::cout<<0;
        return;
    }
    if(ans)
    {
        std::cerr<<"Your ouput is too short!";
        std::cout<<0;
        return;
    }
    std::cerr<<"Accepted!";
    std::cout<<100;
}
signed main()
{
    solve();
    return 0;
}